[android-components](../../../../index.md) / [mozilla.components.concept.engine.manifest](../../../index.md) / [WebAppManifest](../../index.md) / [ShareTarget](../index.md) / [RequestMethod](./index.md)

# RequestMethod

`enum class RequestMethod` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifest.kt#L241)

Valid HTTP methods for [ShareTarget.method](../method.md).

### Enum Values

| Name | Summary |
|---|---|
| [GET](-g-e-t.md) |  |
| [POST](-p-o-s-t.md) |  |
